org.modeshape.connector.git

## Class GitBinaryValue

- java.lang.Object
- - org.modeshape.jcr.value.binary.AbstractBinary
  - - org.modeshape.jcr.value.binary.ExternalBinaryValue
    - - org.modeshape.connector.git.GitBinaryValue

- All Implemented Interfaces:
    Serializable, Comparable<BinaryValue>, Binary, BinaryValue

      public class GitBinaryValue
      extends ExternalBinaryValue

  A `BinaryValue` implementation used to read the content of a specific object ID from the supplied repository. This class computes the `MIME type` lazily or upon serialization.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.value.binary.AbstractBinary

      `EMPTY_CONTENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitBinaryValue(org.eclipse.jgit.lib.ObjectId id, org.eclipse.jgit.lib.ObjectLoader loader, String sourceName, String nameHint, MimeTypeDetector mimeTypeDetector)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected InputStream` | `internalStream()`

    - ### Methods inherited from class org.modeshape.jcr.value.binary.ExternalBinaryValue

      `getId, getMimeType, getMimeType, getSize, getSourceName, hasMimeType, setMimeType, toString`

    - ### Methods inherited from class org.modeshape.jcr.value.binary.AbstractBinary

      `compareTo, dispose, equals, getHash, getHexHash, getKey, getReadableSize, getStream, hashCode, keyFor, read`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GitBinaryValue

          public GitBinaryValue(org.eclipse.jgit.lib.ObjectId id,
                        org.eclipse.jgit.lib.ObjectLoader loader,
                        String sourceName,
                        String nameHint,
                        MimeTypeDetector mimeTypeDetector)

  - ### Method Detail

    - #### internalStream

          protected InputStream internalStream()
                                        throws IOException

      Specified by:
        `internalStream` in class `AbstractBinary`
      Throws:
        `IOException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.